### Property

# Ide DebuggerBreakpoint:mode

#### Declaration

    property mode: Ide.DebuggerBreakMode [ read, write ]

#### Description

The mode of the breakpoint, such as a breakpoint, countpoint, or watchpoint.

Type: | `IdeDebuggerBreakMode`
Available since: | 3.32

Setter method | `ide_debugger_breakpoint_set_mode()`
Getter method | `ide_debugger_breakpoint_get_mode()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no